{
  "name": "challenge-backend",
  "version": "1.0.0",
  "description": "",
  "main": "server.js",
  "scripts": {
    "build": "webpack",
    "start": "nodemon build/index.js",
    "test": "jest",
    "prettier": "prettier --write .",
    "migrate": "export $(cat .env); cd ./src/data; knex migrate:latest",
    "rollback": "export $(cat .env); cd ./src/data; knex migrate:rollback",
    "seed": "export $(cat .env); cd ./src/data; knex seed:run",
    "create-jwt-secret": "node -e \"console.log(require('crypto').randomBytes(256).toString('base64'));\""
  },
  "author": "Jorge Franco <jrg.frnc.91@gmail.com>",
  "license": "UNLICENSED",
  "devDependencies": {
    "@types/bcryptjs": "^2.4.2",
    "@types/express": "^4.17.13",
    "@types/http-errors": "^1.8.1",
    "@types/jest": "^27.0.2",
    "@types/jsonwebtoken": "^8.5.5",
    "@types/node": "^16.10.1",
    "@types/supertest": "^2.0.11",
    "@types/swagger-jsdoc": "^6.0.1",
    "@types/swagger-ui-express": "^4.1.3",
    "@typescript-eslint/eslint-plugin": "^4.31.2",
    "@typescript-eslint/parser": "4.31.2",
    "dotenv": "^10.0.0",
    "eslint": "^7.32.0",
    "eslint-config-airbnb-base": "^14.2.1",
    "eslint-config-airbnb-typescript": "^14.0.0",
    "eslint-config-prettier": "8.3.0",
    "eslint-plugin-import": "^2.24.2",
    "eslint-plugin-prettier": "4.0.0",
    "jest": "^27.2.2",
    "prettier": "2.4.1",
    "supertest": "^6.1.6",
    "ts-jest": "^27.0.5",
    "ts-loader": "^9.2.6",
    "ts-node": "^10.2.1",
    "typescript": "^4.4.3",
    "webpack": "^5.54.0",
    "webpack-cli": "^4.8.0",
    "webpack-node-externals": "^3.0.0"
  },
  "dependencies": {
    "bcryptjs": "^2.4.3",
    "express": "^4.17.1",
    "http-errors": "^1.8.0",
    "joi": "^17.4.2",
    "jsonwebtoken": "^8.5.1",
    "knex": "^0.95.11",
    "nodemon": "^2.0.13",
    "pg": "^8.7.1",
    "swagger-jsdoc": "^6.1.0",
    "swagger-ui-express": "^4.1.6"
  }
}
